> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Download digital order asset



## OpenAPI

````yaml get /{shopId}/orders/{orderId}/download-asset
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/orders/{orderId}/download-asset:
    parameters:
      - name: orderId
        in: path
        required: true
        schema:
          type: string
          example: 64abf69b2ed7a69ef04b6f8b
    get:
      tags:
        - Orders
        - Redeem digital assets
      summary: Download digital order asset
      description: Download digital order asset
      operationId: downloadDigitalOrderAsset
      parameters:
        - name: token
          in: query
          schema:
            type: string
            example: >-
              ecc5df9c2333af7fb3b3822ef673e7dffe07edbff47eb49e41a5909319b58e866e95f20fb746ac0e8399f794748b4697dff95b9ed2d492487f2314ee4c4af659e5664a028f4c0163b7a9b7f40b7363094d5fd5a91a3a004e33e15919b1f559e0
        - name: product
          in: query
          schema:
            type: string
            example: 64abe462227a17d381cf54c7
        - name: variant
          in: query
          schema:
            type: string
            example: 64abe462227a17d381cf54c5
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                orders:
                  type: array
                  items:
                    type: string
                    example: 2353-371789-2644
                  example:
                    - 2353-371789-2644
                    - 2353-171344-9569
                    - 2353-171422-3027
            example:
              orders:
                - 2353-371789-2644
                - 2353-171344-9569
                - 2353-171422-3027
      responses:
        '200':
          description: ''

````